/**
 * 数字转中文
 * @param {number} num 数字
 * @returns {string}
 */
export function digitToChinese(num) {
  let str = '';
  let arr = num.toString().split('');
  let len = arr.length;
  let arr2 = ['零', '一', '二', '三', '四', '五', '六', '七', '八', '九']; // 可以创建一个对应数组，然后用下标去取
  for (let i = 0; i < len; i++) {
    str += arr2[arr[i]];
  }
  return str;
}

// 对小于 10 的补零
export function zeroFill(val) {
  if (val < 10) return `0${val}`;
  return val;
}

/**
 * 将秒转为 时:分:秒 格式
 * @param {Number} val 秒
 * @returns {String} hh:MM:ss
 */
export function secondFormatConversion(val) {
  let second = parseInt(val); // 秒
  if (second < 60) {
    return `00:${second < 10 ? `0${second}` : second}`;
  }
  if (second < 3600) {
    return `00:${zeroFill(parseInt(second / 60))}:${zeroFill(parseInt(second % 60))}`;
  }
  return `${zeroFill(parseInt(second / 60 / 60))}:${zeroFill(parseInt((second / 60) % 60))}:${zeroFill(
    parseInt(second % 60),
  )}`;
}

/**
 * 将时间转为 时:分:秒 格式
 * @param {Date} date 时间戳
 * @returns {String} hh:MM:ss
 */
export function timeFormatConversion(date) {
  return `${zeroFill(date.getHours())}:${zeroFill(date.getMinutes())}:${zeroFill(date.getSeconds())}`;
}
